#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['sparekeys']

package_data = \
{'': ['*']}

install_requires = \
['inform>=1.14',
 'shlib>=1.0',
 'setuptools',
 'toml',
 'appdirs',
 'docopt',
 'python-gnupg>=0.4.3']

extras_require = \
{'docs': ['sphinx', 'sphinx_rtd_theme', 'autoclasstoc'],
 'tests': ['pytest', 'pytest-cov', 'coveralls']}

entry_points = \
{'console_scripts': ['sparekeys = sparekeys:main'],
 'sparekeys.archive': ['avendesora = sparekeys:archive_avendesora',
                       'emborg = sparekeys:archive_emborg',
                       'file = sparekeys:archive_file',
                       'gpg = sparekeys:archive_gpg',
                       'ssh = sparekeys:archive_ssh'],
 'sparekeys.auth': ['avendesora = sparekeys:auth_avendesora',
                    'getpass = sparekeys:auth_getpass'],
 'sparekeys.publish': ['mount = sparekeys:publish_mount',
                       'scp = sparekeys:publish_scp']}

setup(name='sparekeys',
      version='0.2.0',
      description='Make and distribute encrypted copies of the files that you would need to ',
      author='Kale Kundert',
      author_email='kale@thekunderts.net',
      url='https://github.com/kalekundert/sparekeys',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='~=3.6',
     )
